/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.cache.internal.PolicyRequestProxy"); 
dojo.require("com.ibm.team.workitem.web.cache.internal.ItemProxy");
dojo.require("com.ibm.team.workitem.web.cache.internal.ItemProxyClient");

(function() {

dojo.declare("com.ibm.team.workitem.web.cache.internal.PolicyRequestProxy", [com.ibm.team.workitem.web.cache.internal.ItemProxy, com.ibm.team.workitem.web.cache.internal.ItemProxyClient], {
	/*
	 * Construct the proxy passing the object
	 */
//	constructor: function(parms){
//
//	},
//	destroy: function(){
//
//	}
		addRequiredAttribute: function(attributeId) {
			this.getRequiredAttributes()[attributeId] = true;
		},
		removeRequiredAttribute: function(attributeId) {
			this.getRequiredAttributes()[attributeId] = true;			
		},
		getRequiredAttributes: function() {
			this.policySpec = this.policySpec || {};
			this.policySpec.requiredAttributes = this.policySpec.requiredAttributes || {};
			return this.policySpec.requiredAttributes;
		},
		hasRequiredAttributes: function() {
			var requiredAttributes = this.getRequiredAttributes(); 
			for(var key in requiredAttributes) {
				if(!requiredAttributes[key]) return false;
			}
			return true;
		},
		isNew: function() {
			return false;
		}
}
);

})();
