/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

(function() { // avoid variables in the global (window) scope
	
var ImagePool = dojo.provide("com.ibm.team.reports.web.ui.internal.ImagePool");

ImagePool._BASE = "ui/internal/images/";
ImagePool._getImageUri = function(imgName) {
	 	return dojo.moduleUrl("com.ibm.team.reports.web", ImagePool._BASE + imgName);
};

ImagePool.BLU_TWISTIE_CLOSED   = ImagePool._getImageUri("blu-twistie-closed.gif");
ImagePool.BLU_TWISTIE_OPEN     = ImagePool._getImageUri("blu-twistie-open.gif");
ImagePool.CLOSE                = ImagePool._getImageUri("close.gif");
ImagePool.DD_ARROW             = ImagePool._getImageUri("dd-arrow.gif");
ImagePool.DD_ARROW_HOV         = ImagePool._getImageUri("dd-arrow-hov.gif");
ImagePool.DELETE               = ImagePool._getImageUri("delete.gif");
ImagePool.EXPORT               = ImagePool._getImageUri("export.gif");
ImagePool.FOLDER               = ImagePool._getImageUri("folder.gif");
ImagePool.NEW_FOLDER_OBJ       = ImagePool._getImageUri("new-folder-obj.gif");
ImagePool.RENAME               = ImagePool._getImageUri("rename.gif");
ImagePool.DEFAULT_REPORT_OBJ   = ImagePool._getImageUri("default-report.gif");
ImagePool.REPORT_OBJ           = ImagePool._getImageUri("report-obj.gif");
ImagePool.REPORTTEMPLATE_OBJ   = ImagePool._getImageUri("reporttemplate-obj.gif");
ImagePool.SET_AS_DEFAULT       = ImagePool._getImageUri("default-report.gif");
ImagePool.REPORTTEMPLATE_OBJ   = ImagePool._getImageUri("reporttemplate-obj.gif");
ImagePool.TWISTIE_CLOSED       = ImagePool._getImageUri("twistie-closed.gif");
ImagePool.TWISTIE_CLOSED_LIGHT = ImagePool._getImageUri("twistie-closed-light.gif");
ImagePool.TWISTIE_OPEN         = ImagePool._getImageUri("twistie-open.gif");
ImagePool.TWISTIE_OPEN_LIGHT   = ImagePool._getImageUri("twistie-open-light.gif");

})();