/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.client.internal.ConfigurationParameters");

// See /com.ibm.team.workitem.api.common/src/com/ibm/team/workitem/api/common/ConfigurationParameters.java

(function() {
	
dojo.declare("com.ibm.team.workitem.web.client.internal.ConfigurationParameters", null, {
	
	constructor: function(object) {
		this._object= object;
		this.id= object.id; // public field
	},
	
	getIdentifier: function() {
		return this.id;
	},
	
	getString: function(name) {
		return this._object[name];
	},
	
	getChild: function(name) {
		var children= this._object._children;
		for (var i= 0; i < children.length; i++) {
			if (children[i]._name == name) {
				return new com.ibm.team.workitem.web.client.internal.ConfigurationParameters(children[i]);
			}
		}
	},
	
	__sentinel: null
});

})();