/*
 * Licensed Materials - Property of IBM
 * Rational ClearQuest 
 * (C) Copyright IBM Corp. 2009  All Rights Reserved
 * US Government Users Restricted Rights -
 * Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
 */

dojo.provide("com.ibm.rational.cm.web.ui.ajaxModules.ResultSetModule");

//dojo.require("dojo.i18n");
dojo.require("com.ibm.rational.cm.web.ui.ajaxModules.AjaxModuleWrapper");

//dojo.requireLocalization("com.ibm.rational.cm.web.ui", "common");

(function(){

dojo.declare(
	"com.ibm.rational.cm.web.ui.ajaxModules.ResultSetModule",
	com.ibm.rational.cm.web.ui.ajaxModules.AjaxModuleWrapper,
{
	postCreate: function(){
		var w = 800;
		var h = 600;
		
		// without setting parent node width/height, grid won't be displayed
		this.domNode.style.width = w+"px";
		this.domNode.style.height = h+"px";
		
		this.inherited(arguments);
		
		// for resultset view
		if(this.widget.resize){
			this.widget.resize({ w:w, h:h });
		}
	}
});

})();
