/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.client.DTOBasedProgressInformation"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.internal.ui.progress.ProgressInformation"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.apt.client.DTOBasedProgressInformation", com.ibm.team.apt.internal.ui.progress.ProgressInformation, { //$NON-NLS-1$
	
	constructor: function(realTimeDone, realTimeLeft, progressItemDTO) {
		if(progressItemDTO == null)
			return;
		
		this.deltaStepsDone(progressItemDTO.workHoursDone);
		this.deltaStepsLeft(progressItemDTO.workHoursLeft);
		this.deltaRealTimeDone(progressItemDTO.realTimeDone);
		this.deltaRealTimeLeft(progressItemDTO.realTimeLeft);
		this.deltaOpenCount(progressItemDTO.openCount);
		this.deltaCloseCount(progressItemDTO.closeCount);
		this.deltaEstimateCount(progressItemDTO.estimatedCount);
	},
	
	__zzz: null
});
	
})();
